### Method

# Meta Background set_file

#### Declaration [src]

    void
    meta_background_set_file (
      MetaBackground* self,
      GFile* file,
      GDesktopBackgroundStyle style
    )

#### Description [src]

Set the background to `file`.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` representing the background file.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`style`

  Type: `GDesktopBackgroundStyle`

  The background style to apply.